Show / Hide Table of Contents

# Struct SocketVoiceState

Represents a WebSocket user's voice connection status.

##### Implements

IVoiceState

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetType()

###### Namespace: Discord.WebSocket

###### Assembly: Discord.Net.WebSocket.dll

##### Syntax

    public struct SocketVoiceState : IVoiceState

### Fields

| Improve this Doc View Source

#### Default

Initializes a default SocketVoiceState with everything set to `null` or `false`.

##### Declaration

    public static readonly SocketVoiceState Default

##### Field Value

Type | Description
--- | ---
SocketVoiceState |

### Properties

| Improve this Doc View Source

#### IsDeafened

Gets a value that indicates whether this user is deafened by the guild.

##### Declaration

    public bool IsDeafened { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean | `true` if the user is deafened (i.e. not permitted to listen to or speak to others) by the guild; otherwise `false`.

| Improve this Doc View Source

#### IsMuted

Gets a value that indicates whether this user is muted (i.e. not permitted to speak via voice) by the guild.

##### Declaration

    public bool IsMuted { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean | `true` if this user is muted by the guild; otherwise `false`.

| Improve this Doc View Source

#### IsSelfDeafened

Gets a value that indicates whether this user has marked themselves as deafened.

##### Declaration

    public bool IsSelfDeafened { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean | `true` if this user has deafened themselves (i.e. not permitted to listen to or speak to others); otherwise `false`.

| Improve this Doc View Source

#### IsSelfMuted

Gets a value that indicates whether this user has marked themselves as muted (i.e. not permitted to speak via voice).

##### Declaration

    public bool IsSelfMuted { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean | `true` if this user has muted themselves; otherwise `false`.

| Improve this Doc View Source

#### IsStreaming

Gets a value that indicates if this user is streaming in a voice channel.

##### Declaration

    public bool IsStreaming { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean | `true` if the user is streaming; otherwise `false`.

| Improve this Doc View Source

#### IsSuppressed

Gets a value that indicates whether the user is muted by the current user.

##### Declaration

    public bool IsSuppressed { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean | `true` if the guild is temporarily blocking audio to/from this user; otherwise `false`.

| Improve this Doc View Source

#### VoiceChannel

Gets the voice channel that the user is currently in; or `null` if none.

##### Declaration

    public SocketVoiceChannel VoiceChannel { get; }

##### Property Value

Type | Description
--- | ---
SocketVoiceChannel |

| Improve this Doc View Source

#### VoiceSessionId

Gets the unique identifier for this user's voice session.

##### Declaration

    public string VoiceSessionId { get; }

##### Property Value

Type | Description
--- | ---
System.String |

### Methods

| Improve this Doc View Source

#### ToString()

Gets the name of this voice channel.

##### Declaration

    public override string ToString()

##### Returns

Type | Description
--- | ---
System.String | A string that resolves to name of this voice channel; otherwise "Unknown".

##### Overrides

System.ValueType.ToString()

### Explicit Interface Implementations

| Improve this Doc View Source

#### IVoiceState.VoiceChannel

Gets the voice channel this user is currently in.

##### Declaration

    IVoiceChannel IVoiceState.VoiceChannel { get; }

##### Returns

Type | Description
--- | ---
IVoiceChannel | A generic voice channel object representing the voice channel that the user is currently in; `null` if none.

### Implements

IVoiceState